# Get specified bundle

Gets a specified bundle.

Endpoint: GET /v2/project/{project_id}/items/bundle/sku/{sku}
Version: 1.0.0
Security: AuthForClient

## Path parameters:

  - `project_id` (integer, required)
    Project ID.
    Example: 44056

  - `sku` (string, required)
    Bundle SKU.
    Example: "kg_1"

## Response 200 fields (application/json):

  - `sku` (string)
    Unique item ID. The SKU may only contain lowercase Latin alphanumeric characters, periods, dashes, and underscores.
    Example: "bundle_1"

  - `name` (string)
    Item name.
    Example: "Big Rocket"

  - `groups` (array)
    Groups the item belongs to.
    Example: [{"external_id":"horror","name":{"en":"Horror"}}]

  - `groups.external_id` (string)
    Example: "horror"

  - `groups.name` (object)
    Example: {"en":"Horror"}

  - `description` (string,null)
    Item description.
    Example: "Big Rocket - description."

  - `attributes` (array)
    List of attributes and their values corresponding to the item. Can be used for catalog filtering.

  - `attributes.external_id` (string)
    Unique attribute ID. The external_id may only contain lowercase Latin alphanumeric characters, dashes, and underscores.
    Example: "attribute_1"

  - `attributes.name` (string)
    Name of attribute.
    Example: "Genre"

  - `attributes.values` (array)

  - `attributes.values.external_id` (string)
    Unique value ID for an attribute. The external_id may only contain lowercase Latin alphanumeric characters, dashes, and underscores.
    Example: "attribute_value"

  - `attributes.values.value` (string)
    Value of attribute.
    Example: "Strategy"

  - `type` (string)
    Type of item.
    Example: "bundle"

  - `bundle_type` (string)
    Type of bundle. In this case, it is always standart.
    Example: "standart"

  - `image_url` (string,null)
    Image URL.
    Example: "https://image.example.com"

  - `is_free` (string)
    Always false.
    Example: "false"

  - `price` (object,null)
    Item price.

  - `price.amount` (string, required)
    Item price with a discount.
    Example: "100.99"

  - `price.amount_without_discount` (string, required)
    Item price.
    Example: "100.99"

  - `price.currency` (string, required)
    Purchase currency. Three-letter code per [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
    Example: "USD"

  - `total_content_price` (object,null)
    Sum of the bundle content prices.

  - `total_content_price.amount` (string)
    Sum of the bundle content prices with a discount.
    Example: "100.99"

  - `total_content_price.amount_without_discount` (string)
    Sum of the bundle content prices.
    Example: "100.99"

  - `total_content_price.currency` (string)
    Purchase currency. Three-letter code per [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
    Example: "USD"

  - `virtual_prices` (array)
    Virtual prices.

  - `virtual_prices.amount` (integer)
    Item price in virtual currency with a discount.
    Example: 100

  - `virtual_prices.amount_without_discount` (integer)
    Item price in virtual currency.
    Example: 200

  - `virtual_prices.sku` (string)
    Virtual currency item SKU.
    Example: "gold"

  - `virtual_prices.is_default` (boolean)
    Whether the price is default for an item.
    Example: true

  - `virtual_prices.image_url` (string,null)
    Image of virtual currency.
    Example: "http://image.png"

  - `virtual_prices.name` (string)
    Virtual currency name.
    Example: "Gold"

  - `virtual_prices.type` (string)
    Virtual currency type.
    Example: "virtual_currency"

  - `virtual_prices.description` (string,null)
    Virtual currency description.
    Example: "Most popular gold"

  - `content` (array)
    Bundle package content.
    Example: [{"description":"Big Rocket - short description.","image_url":"https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png","sku":"big_rocket","name":"Big Rocket","type":"virtual_currency","quantity":100,"attributes":[],"is_free":false,"groups":[],"price":{"amount":10.99,"currency":"USD","amount_without_discount":10.99}}]

  - `content.sku` (string)
    Unique item ID. The SKU may only contain lowercase Latin alphanumeric characters, dashes, and underscores.
    Example: "big_rocket"

  - `content.name` (string)
    Item name.
    Example: "Big Rocket"

  - `content.type` (string)
    Type of item: virtual_good/virtual_currency/bundle.
    Example: "virtual_currency"

  - `content.description` (string)
    Item description.
    Example: "Big Rocket - description"

  - `content.image_url` (string)
    Image URL.
    Example: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"

  - `content.quantity` (integer)
    Quantity of item in a package.
    Example: 250

  - `content.price` (object,null)
    Item prices.

  - `content.price.amount` (string)
    Item price with a discount.
    Example: "100.99"

  - `content.price.amount_without_discount` (string)
    Item price.
    Example: "100.99"

  - `content.price.currency` (string)
    Default purchase currency. Three-letter code per [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
    Example: "USD"

  - `content.virtual_prices` (array)
    Virtual prices.

  - `content.virtual_prices.amount` (integer)
    Item price in virtual currency with a discount.
    Example: 100

  - `content.virtual_prices.amount_without_discount` (integer)
    Item price.
    Example: 200

  - `content.virtual_prices.sku` (string)
    Virtual currency item SKU.
    Example: "vc_test"

  - `content.virtual_prices.is_default` (boolean)
    Whether the price is default for an item.
    Example: true

  - `content.virtual_prices.image_url` (string)
    Image of virtual currency.
    Example: "http://image.png"

  - `content.virtual_prices.name` (string)
    Virtual currency name.
    Example: "SHOTGUN FOR TRUE RAIDERS"

  - `content.virtual_prices.type` (string)
    Virtual currency type.
    Example: "virtual_currency"

  - `content.virtual_prices.description` (string)
    Virtual currency description.
    Example: "Big Rocket - description"


